import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

const store = new Vuex.Store({
    state : {
        loading: false,
        isLogin: false,
        userInfo:{},
        luyou:1,
        nCount:0,
        doi2: 0,
        doi1: 0,
        doi3: 0,
        // api: 'http://localhost:7003/edu/',
        api:'https://api.laodong.cocorobo.cn/edu/'
    },

    mutations: {
        update(state, [key, value]) {
            state[key] = value;
        },
    }
})

export default store